import { __rest } from '../../../_virtual/_tslib.js';
import { jsxs } from 'react/jsx-runtime';
import { generateClassNames } from '../../../common/theming/utils.js';

const Button = _a => {
  var _b;
  var {
      children,
      color = 'default',
      appearance,
      icon,
      loading = false
    } = _a,
    props = __rest(_a, ["children", "color", "appearance", "icon", "loading"]);
  const classNames = generateClassNames('button', '', {
    color,
    loading
  }, appearance);
  return jsxs("button", Object.assign({}, props, {
    style: (_b = appearance === null || appearance === void 0 ? void 0 : appearance.style) === null || _b === void 0 ? void 0 : _b.button,
    className: classNames.join(' '),
    disabled: loading
  }, {
    children: [icon, children]
  }));
};

export { Button };
