'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _tslib = require('../../../_virtual/_tslib.js');
var jsxRuntime = require('react/jsx-runtime');
var utils = require('../../../common/theming/utils.js');

const Button = _a => {
  var _b;
  var {
      children,
      color = 'default',
      appearance,
      icon,
      loading = false
    } = _a,
    props = _tslib.__rest(_a, ["children", "color", "appearance", "icon", "loading"]);
  const classNames = utils.generateClassNames('button', '', {
    color,
    loading
  }, appearance);
  return jsxRuntime.jsxs("button", Object.assign({}, props, {
    style: (_b = appearance === null || appearance === void 0 ? void 0 : appearance.style) === null || _b === void 0 ? void 0 : _b.button,
    className: classNames.join(' '),
    disabled: loading
  }, {
    children: [icon, children]
  }));
};

exports.Button = Button;
