import { __rest } from '../../../_virtual/_tslib.js';
import { jsx } from 'react/jsx-runtime';
import { generateClassNames } from '../../../common/theming/utils.js';

const Message = _a => {
  var _b;
  var {
      children,
      appearance,
      color = 'default'
    } = _a,
    props = __rest(_a, ["children", "appearance", "color"]);
  const classNames = generateClassNames('message', '', {
    color
  }, appearance);
  return jsx("span", Object.assign({}, props, {
    style: (_b = appearance === null || appearance === void 0 ? void 0 : appearance.style) === null || _b === void 0 ? void 0 : _b.message,
    className: classNames.join(' ')
  }, {
    children: children
  }));
};

export { Message };
